Skip to main content
GET
/
v1
/
chat
/
users
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/chat/users \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>'
{
  "users": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "tags": {},
      "name": "<string>",
      "pictureUrl": "<string>",
      "properties": {},
      "attributes": {}
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

conversationId
string

Filter by conversation id. This will return all users that have participated in the conversation.

tags
object

Filter by tags

afterDate
string

Date in ISO 8601 string with UTC timezone after which the user was created or updated (inclusive)

beforeDate
string

Date in ISO 8601 string with UTC timezone before which the user was created or updated (inclusive)

rangeField
enum<string>

Field used for range filtering. Allowed values are "updatedAt" or "createdAt". Defaults to "createdAt" if omitted.

Available options:
updatedAt,
createdAt
sortField
enum<string>

Sort results by this field

Available options:
updatedAt,
createdAt
sortDirection
enum<string>

Sort results in this direction

Available options:
asc,
desc

Response

Returns a list of User objects

users
object[]
required
meta
object
required
Last modified on March 20, 2026